com.r3corda.client.model / GatheredTransactionDataModel

# GatheredTransactionDataModel

`class GatheredTransactionDataModel`

This model provides an observable list of transactions and what state machines/protocols recorded them

### Constructors

<init> | `GatheredTransactionDataModel()` This model provides an observable list of transactions and what state machines/protocols recorded them

### Properties

collectedTransactions | `val collectedTransactions: <ERROR CLASS>`
gatheredTransactionDataList | `val gatheredTransactionDataList: ObservableList<out GatheredTransactionData>` We JOIN the transaction list with state machines
partiallyResolvedTransactions | `val partiallyResolvedTransactions: <ERROR CLASS>`
progressEvents | `val progressEvents: <ERROR CLASS>`
smTxMappingList | `val smTxMappingList: <ERROR CLASS>`
stateMachineDataList | `val stateMachineDataList: ObservableList<StateMachineData>`
stateMachineDataMap | `val stateMachineDataMap: ObservableMap<StateMachineRunId, StateMachineData>`
stateMachineStatus | `val stateMachineStatus: ObservableMap<StateMachineRunId, out ObservableValue<StateMachineStatus>>`
transactionMap | `val transactionMap: <ERROR CLASS>`